Bug 1252558 - openldap update from 2.4.39 to 2.4.40 causes blank database
openldap update from 2.4.39 to 2.4.40 causes blank database
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap (Show other bugs)
6.6
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matus Honek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 12:50 EDT by Striker Leggette
Modified: 2015-09-23 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 14:08:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Striker Leggette 2015-08-11 12:50:42 EDT
Description of problem:
- Updating from openldap 2.4.39 to 2.4.40 causes LDAP database to be blank.

Version-Release number of selected component (if applicable):
- openldap-2.4.39-8.el6

How reproducible:


Steps to Reproduce:
1. yum update openldap
2.
3.

Actual results:
- Blank database

Expected results:
- Database is not blank

Additional info:
Comment 4 Striker Leggette 2015-08-11 14:08:28 EDT
Closing this as I am unable to reproduce with multiple attempts.
Comment 5 Marc Fournier 2015-08-31 09:30:29 EDT
I also encountered this issue. I tracked it down to this block from the preinstall script from the RPM (rpm -q --scripts openldap-servers):

# move or copy to backup directory
                        find -maxdepth 1 -type f \( -name alock -o -name "*.bdb" -o -name "__db.*" -o -name "log.*" \) \
                                | xargs -I '{}' $backupcmd '{}' $backupdir
                        cp -af DB_CONFIG $backupdir &>/dev/null

So basically, the databases files from /var/lib/ldap get backed up to /var/lib/ldap/backup.NNNNNNNNNNN/ if the openldap version number changes.

I found this a bit unsettling from a user point of view. Maybe could a notice get printed out to warn the user ?

Striker, what do you think ? Can this bugreport maybe be reopened with wishlist severity ? Thanks !
Comment 6 Striker Leggette 2015-09-23 14:35:02 EDT
Marc, so that you are aware, a new BZ was opened for RFE to add notification of the database backup:
https://bugzilla.redhat.com/show_bug.cgi?id=1261651

Note You need to log in before you can comment on or make changes to this bug.